package com.yeejoin.amos.fas.business.vo;

import java.util.ArrayList;
import java.util.List;

public class TreeSubjectVo {

    private String id;

    private String treeName;

    private String parentId;

    private Integer maxSubjectNumber;

    private String type;

    private List<TreeSubjectVo> children = new ArrayList<>();

    private String createTime;

    private Integer creator;

    private boolean isDelete;

    private String subjectName;

    private String subjectDetail;

    private String subjectType;

    private String subjectTypeName;

    private int publishState;

    private String belongTreeId;

    private String scenes;

    List<TreeSubjectVo> subjectChildren = new ArrayList<>();

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTreeName() {
        return treeName;
    }

    public void setTreeName(String treeName) {
        this.treeName = treeName;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public Integer getMaxSubjectNumber() {
        return maxSubjectNumber;
    }

    public void setMaxSubjectNumber(Integer maxSubjectNumber) {
        this.maxSubjectNumber = maxSubjectNumber;
    }

    public List<TreeSubjectVo> getChildren() {
        return children;
    }

    public void setChildren(List<TreeSubjectVo> children) {
        this.children = children;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public Integer getCreator() {
        return creator;
    }

    public void setCreator(Integer creator) {
        this.creator = creator;
    }

    public boolean isDelete() {
        return isDelete;
    }

    public void setDelete(boolean delete) {
        isDelete = delete;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getSubjectDetail() {
        return subjectDetail;
    }

    public void setSubjectDetail(String subjectDetail) {
        this.subjectDetail = subjectDetail;
    }

    public String getSubjectType() {
        return subjectType;
    }

    public void setSubjectType(String subjectType) {
        this.subjectType = subjectType;
    }

    public String getSubjectTypeName() {
        return subjectTypeName;
    }

    public void setSubjectTypeName(String subjectTypeName) {
        this.subjectTypeName = subjectTypeName;
    }

    public int getPublishState() {
        return publishState;
    }

    public void setPublishState(int publishState) {
        this.publishState = publishState;
    }

    public String getBelongTreeId() {
        return belongTreeId;
    }

    public void setBelongTreeId(String belongTreeId) {
        this.belongTreeId = belongTreeId;
    }

    public String getScenes() {
        return scenes;
    }

    public void setScenes(String scenes) {
        this.scenes = scenes;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public List<TreeSubjectVo> getSubjectChildren() {
        return subjectChildren;
    }

    public void setSubjectChildren(List<TreeSubjectVo> subjectChildren) {
        this.subjectChildren = subjectChildren;
    }
}
